# $Id: polyshrink.wavelet.R,v 1.2 2005/08/15 16:40:37 bob Exp $
"polyshrink.wavelet" <- 
function(wc, max.level=0, scale=0) {
	wc.thresh <- wc;
	n.levels <- ifelse(max.level>0, max.level, length(wc)-2);
	for(i in 1:n.levels) {
		use.scale <- ifelse(scale > 0, scale, mad(wc[[i]]));
		wc.thresh[[i]] <- use.scale * polyshrink(wc[[i]]/use.scale); }
	return(wc.thresh)
}
